<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:54 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MoveScore (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MoveScore (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MoveScore.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/MoveScore.html" target="_top">Frames</a></li>
<li><a href="MoveScore.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.board</div>
<h2 title="Class MoveScore" class="title">Class MoveScore</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.board.MoveScore</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Comparable&lt;<a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MoveScore</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a>&gt;</pre>
<div class="block">This class represents the information on a move in respect to its score made according to the simple strategy
 and the move's possible consequence. The score is stored as an integer value.
 The possible conseq‪uence is represented by one of the <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><code>MoveResult</code></a> values.
 The scoerd move is also saved in this object and can be returned on request.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>15-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Anastasiia Kysliak</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#move">move</a></span></code>
<div class="block">The move whose score and possible consequence are saved in this <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#result">result</a></span></code>
<div class="block">The possible consequence of the move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#score">score</a></span></code>
<div class="block">The score for the move made according to the simple strategy.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#MoveScore-towerwarspp.preset.Move-int-towerwarspp.board.MoveResult-">MoveScore</a></span>(<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
         int&nbsp;score,
         <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a>&nbsp;result)</code>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> with the specified parameters.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#compareTo-towerwarspp.board.MoveScore-">compareTo</a></span>(<a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a>&nbsp;other)</code>
<div class="block">Compares this object with the specified object for order.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#getMove--">getMove</a></span>()</code>
<div class="block">Returns the move whose score and consequence are stored in this <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#getResult--">getResult</a></span>()</code>
<div class="block">Returns the <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><code>MoveResult</code></a> stored in this object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/MoveScore.html#getScore--">getScore</a></span>()</code>
<div class="block">Returns the score stored in this object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="move">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>move</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> move</pre>
<div class="block">The move whose score and possible consequence are saved in this <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</div>
</li>
</ul>
<a name="score">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>score</h4>
<pre>private&nbsp;int score</pre>
<div class="block">The score for the move made according to the simple strategy.</div>
</li>
</ul>
<a name="result">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>result</h4>
<pre>private&nbsp;<a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a> result</pre>
<div class="block">The possible consequence of the move.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MoveScore-towerwarspp.preset.Move-int-towerwarspp.board.MoveResult-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MoveScore</h4>
<pre>public&nbsp;MoveScore(<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
                 int&nbsp;score,
                 <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a>&nbsp;result)</pre>
<div class="block">Creates a new instance of <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> with the specified parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>move</code> - the move whose score and consequence are to be stored in this <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</dd>
<dd><code>score</code> - the score for the move made according to the simple strategy.</dd>
<dd><code>result</code> - the possible consequence of the move.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMove</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;getMove()</pre>
<div class="block">Returns the move whose score and consequence are stored in this <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the move whose score and consequence are stored in this object.</dd>
</dl>
</li>
</ul>
<a name="getScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;int&nbsp;getScore()</pre>
<div class="block">Returns the score stored in this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the score stored in this object.</dd>
</dl>
</li>
</ul>
<a name="getResult--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResult</h4>
<pre>public&nbsp;<a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a>&nbsp;getResult()</pre>
<div class="block">Returns the <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><code>MoveResult</code></a> stored in this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><code>MoveResult</code></a> stored in this object.</dd>
</dl>
</li>
</ul>
<a name="compareTo-towerwarspp.board.MoveScore-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>compareTo</h4>
<pre>public&nbsp;int&nbsp;compareTo(<a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a>&nbsp;other)</pre>
<div class="block">Compares this object with the specified object for order. Returns a negative integer, zero,
 or a positive integer as this object is less than, equal to, or greater than the specified object.
 The smaller the order of the <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object, the better the corresponding move is.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the <a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object to be compared.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MoveScore.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/MoveScore.html" target="_top">Frames</a></li>
<li><a href="MoveScore.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
